POST V1/RateAndTariff.{ext}/Exceptions?action={action}
This API used to manage exceptions i.e. either save the exception or get available exceptions.
Mandatory Fields :Exception Type, Batch Id
Optional Fields : N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| action |
Action (Ex: Save, Search) |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
RTException
EMS.RateAndTariff.Entities.RTException| Name | Description | Type | Additional information |
|---|---|---|---|
| RTExceptionId |
No description available |
string |
None. |
| RTTemplateFileId |
No description available |
string |
None. |
| RTTemplateFileName |
No description available |
string |
None. |
| RTTemplateFileURL |
No description available |
string |
None. |
| RateId |
No description available |
string |
None. |
| Source |
No description available |
string |
None. |
| VendorName |
No description available |
string |
None. |
| RateName |
No description available |
string |
None. |
| UtilityType |
No description available |
string |
None. |
| SectorType |
No description available |
string |
None. |
| ExceptionType |
No description available |
string |
None. |
| ExceptionRemarks |
No description available |
string |
None. |
| Description |
No description available |
string |
None. |
| ExceptionStatus |
No description available |
string |
None. |
| ProcessStatus |
No description available |
string |
None. |
| CreatedUser |
No description available |
string |
None. |
| CreatedDate |
No description available |
string |
None. |
| ExceptionFromDate |
No description available |
string |
None. |
| ExceptionToDate |
No description available |
string |
None. |
Request Formats
application/json, text/json
{
"rtExceptionId": "sample string 1",
"rtTemplateFileId": "sample string 2",
"rtTemplateFileName": "sample string 3",
"rtTemplateFileURL": "sample string 4",
"rateId": "sample string 5",
"source": "sample string 6",
"vendorName": "sample string 7",
"rateName": "sample string 8",
"utilityType": "sample string 9",
"sectorType": "sample string 10",
"exceptionType": "sample string 11",
"exceptionRemarks": "sample string 12",
"description": "sample string 13",
"exceptionStatus": "sample string 14",
"processStatus": "sample string 15",
"createdUser": "sample string 16",
"createdDate": "sample string 17",
"exceptionFromDate": "sample string 18",
"exceptionToDate": "sample string 19"
}
application/xml, text/xml
<RTException xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities"> <CreatedDate>sample string 17</CreatedDate> <CreatedUser>sample string 16</CreatedUser> <Description>sample string 13</Description> <ExceptionFromDate>sample string 18</ExceptionFromDate> <ExceptionRemarks>sample string 12</ExceptionRemarks> <ExceptionStatus>sample string 14</ExceptionStatus> <ExceptionToDate>sample string 19</ExceptionToDate> <ExceptionType>sample string 11</ExceptionType> <ProcessStatus>sample string 15</ProcessStatus> <RTExceptionId>sample string 1</RTExceptionId> <RTTemplateFileId>sample string 2</RTTemplateFileId> <RTTemplateFileName>sample string 3</RTTemplateFileName> <RTTemplateFileURL>sample string 4</RTTemplateFileURL> <RateId>sample string 5</RateId> <RateName>sample string 8</RateName> <SectorType>sample string 10</SectorType> <Source>sample string 6</Source> <UtilityType>sample string 9</UtilityType> <VendorName>sample string 7</VendorName> </RTException>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
Returns response
EMSResponseOfSystem.Object| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
Object |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "Object",
"response": {},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.